<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration {
    public function up(): void {
        Schema::table('dsars', function (Blueprint $table) {
            $table->string('reference')->nullable()->after('email_content');
            $table->string('receiver_reference')->nullable()->after('reference');
        });
    }

    public function down(): void {
        Schema::table('dsars', function (Blueprint $table) {
            $table->dropColumn(['reference', 'receiver_reference']);
        });
    }
};
